Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/KickSelectionTable.h File Reference

Declaration of class KickSelectionTable. More...

`#include "Tools/Math/Vector2.h"`
`#include "Platform/GTAssert.h"`
`#include "Representations/Motion/MotionRequest.h"`
`#include "Representations/Cognition/RobotPose.h"`

Include dependency graph for KickSelectionTable.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | KickCase
| Represents the results and the preconditions of a single kick experiment. More...
class | KickSelectionTable
## Functions
In & | operator>> (In &stream, KickSelectionTable &kickSelectionTable)
| Streaming operator that reads KickSelectionTable from a stream.
Out & | operator<< (Out &stream, const KickSelectionTable &kickSelectionTable)
| Streaming operator that writes KickSelectionTable to a stream.
In & | operator>> (In &stream, KickCase &kickCase)
| Streaming operator that reads KickCase from a stream.
Out & | operator<< (Out &stream, const KickCase &kickCase)
| Streaming operator that writes KickCase to a stream.

## Detailed Description

Declaration of class KickSelectionTable.

Author:
  Matthias Jüngel

  Martin Lötzsch

Definition in file KickSelectionTable.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | KickSelectionTable & | kickSelectionTable
| ) |

  | Streaming operator that reads KickSelectionTable from a stream. Parameters:
  stream | The stream from which is read.
  kickSelectionTable | The KickSelectionTable object.
Returns: The stream. Definition at line 179 of file KickSelectionTable.cpp. References KickSelectionTable::action, ASSERT, KickSelectionTable::getActionIDFromShortName(), KickSelectionTable::getTableIDFromName(), and KickSelectionTable::numberOfSectors.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const KickSelectionTable & | kickSelectionTable
| ) |

  | Streaming operator that writes KickSelectionTable to a stream. Parameters:
  stream | The stream to write on.
  kickSelectionTable | The KickSelectionTable object.
Returns: The stream. Definition at line 213 of file KickSelectionTable.cpp. References KickSelectionTable::action, KickSelectionTable::getKickSelectionTableIDName(), KickSelectionTable::getShortActionName(), KickSelectionTable::numberOfSectors, KickSelectionTable::xRange, and KickSelectionTable::yRange.

Here is the call graph for this function:

In& operator>> | ( | In & | stream,
|  | KickCase & | kickCase
| ) |

  | Streaming operator that reads KickCase from a stream. Parameters:
  stream | The stream from which is read.
  kickCase | The KickCase object.
Returns: The stream. Definition at line 255 of file KickSelectionTable.cpp. References In::read().

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const KickCase & | kickCase
| ) |

  | Streaming operator that writes KickCase to a stream. Parameters:
  stream | The stream to write on.
  kickCase | The KickCase object.
Returns: The stream. Definition at line 261 of file KickSelectionTable.cpp. References Out::write().

Here is the call graph for this function: